package com.wtkj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import javax.validation.constraints.NotNull;

/**
 * @author Blizzard
 * @create at 2023-09-13 15:07
 * @describe
 */
@EqualsAndHashCode(callSuper = true)
@TableName("blade_project")
@Data
public class Project extends BaseEntity {

	private static final long serialVersionUID = 1L;

	@TableField("project_type")
	@NotNull(message = "projectType不可为空")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long projectType;

	@TableField("name")
	private String name;

	@TableField("area_code")
	@NotNull(message = "areaCode不可为空")
	private String areaCode;

	@TableField("competent_unit")
	@NotNull(message = "competentUnit不可为空")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long competentUnit;

}
