package com.wtkj.controller;

import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.wtkj.entity.Project;
import com.wtkj.service.IProjectService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springblade.core.tool.api.R;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author Blizzard
 * @create at 2023-09-13 15:50
 * @describe
 */
@RestController
@AllArgsConstructor
@RequestMapping("/project")
@Api(value = "项目模块", tags = "项目模块")
public class ProjectController {

	private final IProjectService projectService;

	/**
	 * 创建/修改项目
	 */
	@PostMapping("/submit")
	@ApiOperation(value = "新建或者修改项目", notes = "传入project")
	@ApiOperationSupport(order = 1)
	public R<Boolean> create(@RequestBody Project project) {
		return R.status(projectService.saveOrUpdate(project));
	}

}
