package com.wtkj.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.wtkj.entity.TypeAndStage;
import com.wtkj.mapper.TypeStageMapper;
import com.wtkj.service.ITypeAndStageService;
import lombok.AllArgsConstructor;
import org.springblade.core.log.exception.ServiceException;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @author Jimi Zhang
 * @create at 2022-12-12 14:06
 * @describe
 */
@Service
@AllArgsConstructor
public class TypeAndStageServiceImpl extends BaseServiceImpl<TypeStageMapper, TypeAndStage> implements ITypeAndStageService {


	@Override
	public boolean submit(TypeAndStage typeAndStage) {
		if (typeAndStage.getId() == null) {
			LambdaQueryWrapper<TypeAndStage> lqw = Wrappers.lambdaQuery();
			lqw.eq(TypeAndStage::getName, typeAndStage.getName());
			Long cnt = baseMapper.selectCount(lqw);
			if (cnt > 0L) {
				throw new ServiceException("项目类型或者阶段名称重名,已经存在!");
			}
			return save(typeAndStage);
		} else {
			return updateById(typeAndStage);
		}
	}


}
